GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::ULActionDT2 Class Reference

`#include <gdcmULActionDT.h>`

Inheritance diagram for gdcm::network::ULActionDT2:
[legend]
Collaboration diagram for gdcm::network::ULActionDT2:
[legend]

## Public Member Functions

EStateID | PerformAction (Subject *s, ULEvent &inEvent, ULConnection &inConnection, bool &outWaitingForEvent, EEventID &outRaisedEvent)
Public Member Functions inherited from gdcm::network::ULAction
| ULAction ()
virtual | ~ULAction ()

## Member Function Documentation

EStateID gdcm::network::ULActionDT2::PerformAction | ( | Subject * | s,
|  | ULEvent & | inEvent,
|  | ULConnection & | inConnection,
|  | bool & | outWaitingForEvent,
|  | EEventID & | outRaisedEvent
| ) |  |

virtual

Implements gdcm::network::ULAction.

The documentation for this class was generated from the following file:

- gdcmULActionDT.h